## rust-zram-generator 0.3.2

=== Makefile ===
# SPDX-License-Identifier: MIT

INSTALL = install
CARGO = cargo
CARGOFLAGS =
RONN = ronn
PKG_CONFIG = pkg-config
PREFIX = /usr

SYSTEMD_UTIL_DIR := $(shell $(PKG_CONFIG) --variable=systemdutildir systemd)
SYSTEMD_SYSTEM_UNIT_DIR := $(shell $(PKG_CONFIG) --variable=systemdsystemunitdir systemd)
SYSTEMD_SYSTEM_GENERATOR_DIR := $(shell $(PKG_CONFIG) --variable=systemdsystemgeneratordir systemd)
export SYSTEMD_UTIL_DIR

.DEFAULT: build
.PHONY: build man check clean install

build: systemd_service
	@$(CARGO) build --release $(CARGOFLAGS)

systemd_service:
	@sed -e 's,@SYSTEMD_SYSTEM_GENERATOR_DIR@,$(SYSTEMD_SYSTEM_GENERATOR_DIR),' \
		< units/systemd-zram-setup@.service.in \
		> units/systemd-zram-setup@.service

man:
	@$(RONN) --organization="zram-generator developers" man/*.md

check: build
	@$(CARGO) test --release $(CARGOFLAGS)

clean:
	@$(CARGO) clean
	@rm -f units/systemd-zram-setup@.service

install:
	$(INSTALL) -Dpm755 target/release/zram-generator -t $(DESTDIR)$(SYSTEMD_SYSTEM_GENERATOR_DIR)/
	$(INSTALL) -Dpm644 units/systemd-zram-setup@.service -t $(DESTDIR)$(SYSTEMD_SYSTEM_UNIT_DIR)/
	$(INSTALL) -Dpm644 zram-generator.conf.example -t $(DESTDIR)$(PREFIX)/share/doc/zram-generator/
	$(INSTALL) -Dpm644 man/zram-generator.8 -t $(DESTDIR)$(PREFIX)/share/man/man8/
	$(INSTALL) -Dpm644 man/zram-generator.conf.5 -t $(DESTDIR)$(PREFIX)/share/man/man5/

=== debian/changelog ===
rust-zram-generator (0.3.2-1) unstable; urgency=medium

  * Package zram-generator 0.3.2 from crates.io using debcargo 2.4.4

 -- Clay Stan <claystan97@gmail.com>  Thu, 14 Oct 2021 22:52:11 +0200

=== debian/control ===
Source: rust-zram-generator
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 24),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.12-~~),
 librust-clap-2-dev (>= 2.33-~~),
 librust-liboverdrop-0.0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-log-0.4+std-dev,
 librust-rust-ini-0.16+default-dev | librust-rust-ini-0.15+default-dev | librust-rust-ini-0.14+default-dev | librust-rust-ini-0.13+default-dev,
 ronn,
 systemd,
 pkg-config,
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Clay Stan <claystan97@gmail.com>,
 Heysion <heysion@deepin.com>
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/zram-generator]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/zram-generator
Homepage: https://github.com/systemd/zram-generator
Rules-Requires-Root: no

Package: systemd-zram-generator
Architecture: any
Multi-Arch: allowed
Section: rust
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Systemd unit generator for zram swap devices
 This package contains the following binaries built from the Rust crate
 "zram-generator":
  - zram-generator

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

DESTDIR := $(CURDIR)/debian/systemd-zram-generator
PKG_CONFIG := pkg-config
SYSTEMD_UTIL_DIR := $(shell $(PKG_CONFIG) --variable=systemdutildir systemd)
SYSTEMD_SYSTEM_UNIT_DIR := $(shell $(PKG_CONFIG) --variable=systemdsystemunitdir systemd)
SYSTEMD_SYSTEM_GENERATOR_DIR := $(shell $(PKG_CONFIG) --variable=systemdsystemgeneratordir systemd)
export SYSTEMD_UTIL_DIR

%:
	dh $@ --buildsystem cargo

execute_after_dh_auto_install:
	test -f $(DESTDIR)/usr/bin/zram-generator && rm -f $(DESTDIR)/usr/bin/zram-generator
	test -d $(DESTDIR)/usr/bin && rmdir $(DESTDIR)/usr/bin

override_dh_install:
	make systemd_service man
	mkdir -p $(DESTDIR)/etc/systemd/
	mkdir -p $(DESTDIR)$(SYSTEMD_SYSTEM_UNIT_DIR)/
	mkdir -p $(DESTDIR)$(SYSTEMD_SYSTEM_GENERATOR_DIR)/
	mkdir -p $(DESTDIR)/etc/modules-load.d/
	install -Dpm755 target/$(DEB_HOST_RUST_TYPE)/release/zram-generator -t $(DESTDIR)$(SYSTEMD_SYSTEM_GENERATOR_DIR)/
	install -Dpm644 units/systemd-zram-setup@.service $(DESTDIR)$(SYSTEMD_SYSTEM_UNIT_DIR)/
	install -Dpm644 debian/zram-generator.conf  $(DESTDIR)/etc/systemd/
	install -Dpm644 debian/20-zram-generator.conf  $(DESTDIR)/etc/modules-load.d/

override_dh_dwz:
	# Don't do anything. fails because of the
	# https://github.com/rust-lang/rust/issues/66118

override_dh_clean:
	rm -f man/zram-generator.8 man/zram-generator.8.html man/zram-generator.conf.5 man/zram-generator.conf.5.html
	rm -f units/systemd-zram-setup@.service
	dh_clean

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test zram-generator 0.3.2 --all-targets --all-features
Features: test-name=rust-zram-generator:@
Depends: dh-cargo (>= 18), librust-fs-extra-1+default-dev (>= 1.1-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test zram-generator 0.3.2 --all-targets 
Features: test-name=librust-zram-generator-dev:default
Depends: dh-cargo (>= 18), librust-fs-extra-1+default-dev (>= 1.1-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test zram-generator 0.3.2 --all-targets --no-default-features
Features: test-name=librust-zram-generator-dev:
Depends: dh-cargo (>= 18), librust-fs-extra-1+default-dev (>= 1.1-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-zram-generator 1.1.2

=== Makefile ===
# SPDX-License-Identifier: MIT

INSTALL ?= install
CARGO ?= cargo
CARGOFLAGS ?=
RONN ?= ronn
PKG_CONFIG ?= pkg-config
PREFIX ?= /usr
BUILDTYPE ?= release

SYSTEMD_UTIL_DIR := $(shell $(PKG_CONFIG) --variable=systemdutildir systemd)
SYSTEMD_SYSTEM_UNIT_DIR := $(shell $(PKG_CONFIG) --variable=systemdsystemunitdir systemd)
SYSTEMD_SYSTEM_GENERATOR_DIR := $(shell $(PKG_CONFIG) --variable=systemdsystemgeneratordir systemd)
export SYSTEMD_UTIL_DIR

ifeq ($(BUILDTYPE),release)
	override CARGOFLAGS := --release $(CARGOFLAGS)
endif

require_env = @[ -n "$($(1))" ] || { echo "\$$$(1) empty!" >&2; exit 1; }

.DEFAULT: build
.PHONY: build systemd-service program man check clean install

build: program systemd-service
ifndef NOMAN
build: man
endif

program:
	$(call require_env,SYSTEMD_UTIL_DIR)
	$(CARGO) build $(CARGOFLAGS)

systemd-service:
	$(call require_env,SYSTEMD_SYSTEM_GENERATOR_DIR)
	sed -e 's,@SYSTEMD_SYSTEM_GENERATOR_DIR@,$(SYSTEMD_SYSTEM_GENERATOR_DIR),' \
		< units/systemd-zram-setup@.service.in \
		> units/systemd-zram-setup@.service

man:
	$(RONN) --organization="zram-generator developers" man/*.md

check: program
	$(CARGO) test $(CARGOFLAGS)

clippy:
	$(call require_env,SYSTEMD_UTIL_DIR)
	$(CARGO) clippy $(CARGOFLAGS)

clean:
	$(CARGO) clean
	rm -f units/systemd-zram-setup@.service

ifndef NOBUILD
install: build
endif

install:
	$(call require_env,SYSTEMD_SYSTEM_GENERATOR_DIR)
	$(call require_env,SYSTEMD_SYSTEM_UNIT_DIR)
	$(call require_env,PREFIX)
	$(INSTALL) -Dpm755 target/$(BUILDTYPE)/zram-generator -t $(DESTDIR)$(SYSTEMD_SYSTEM_GENERATOR_DIR)/
	$(INSTALL) -Dpm644 units/systemd-zram-setup@.service -t $(DESTDIR)$(SYSTEMD_SYSTEM_UNIT_DIR)/
	$(INSTALL) -Dpm644 zram-generator.conf.example -t $(DESTDIR)$(PREFIX)/share/doc/zram-generator/
ifndef NOMAN
	$(INSTALL) -Dpm644 man/zram-generator.8 -t $(DESTDIR)$(PREFIX)/share/man/man8/
	$(INSTALL) -Dpm644 man/zram-generator.conf.5 -t $(DESTDIR)$(PREFIX)/share/man/man5/
endif

=== debian/changelog ===
rust-zram-generator (1.1.2-6) unstable; urgency=medium

  * zram-generator: fix systemd generator install target
    The previous changes overlooked `d/rules`, ending up with the generator
    binary still being installed to `/lib/...`.
    Fix this (and prevent future issues) by using the corresponding
    pkg-config variable instead of hardcoding the install path.

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 17 Jul 2024 16:05:12 +0200

rust-zram-generator (1.1.2-5) unstable; urgency=medium

  * zram-generator: install systemd service under /usr
    With the usr-merge transition being mostly complete, we can (and should)
    now install systemd services under `/usr`.
    This also affects `d/tests/control` as `SYSTEMD_UTIL_DIR` must be
    updated accordingly.
    (Closes: #1073617)
  * zram-generator: install vendor configuration files under /usr
    (Closes: #1042926)

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 15 Jul 2024 14:34:30 +0200

rust-zram-generator (1.1.2-4) unstable; urgency=medium

  * Refresh patches

  [ Christian Göttsche ]
  * update build-dependencies (Closes: #1060532)

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 03 Jul 2024 14:57:27 +0200

rust-zram-generator (1.1.2-3) unstable; urgency=medium

  * Team upload.
  * Package zram-generator 1.1.2 from crates.io using debcargo 2.6.0
  * Apply workaround for dh_dwz crash (Closes: #1043117)
  * Fix autopkgtest (it was previously skipped)
    + Bump dev-dependency on nix to allow version 0.26
    + Don't fail the tests if mount returns "invalid argument", this likely
      indicates a lack of kernel support.
    + Set SYSTEMD_UTIL_DIR=/lib/systemd when running autopkgtest.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 15 Aug 2023 15:11:31 +0000

rust-zram-generator (1.1.2-2) unstable; urgency=medium

  * actually call pkg-config (Closes: #1026745)

 -- Christian Göttsche <cgzones@googlemail.com>  Wed, 28 Dec 2022 18:03:27 +0100

rust-zram-generator (1.1.2-1) unstable; urgency=medium

  [ Ben Westover ]
  * Package zram-generator 1.1.2 from crates.io using debcargo 2.5.0

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 19 Dec 2022 14:18:50 +0100

=== debian/control ===
Source: rust-zram-generator
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.12-~~),
 librust-clap-2-dev (>= 2.33-~~),
 librust-fasteval-0.2-dev,
 librust-liboverdrop-0.0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-log-0.4+std-dev,
 librust-rust-ini+default-dev (>= 0.15-~~),
 systemd-dev,
 ronn,
 pkgconf
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ben Westover <me@benthetechguy.net>,
 Arnaud Ferraris <aferraris@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/zram-generator]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/zram-generator
Homepage: https://github.com/systemd/zram-generator
X-Cargo-Crate: zram-generator
Rules-Requires-Root: no

Package: librust-zram-generator-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.12-~~),
 librust-clap-2-dev (>= 2.33-~~),
 librust-fasteval-0.2-dev,
 librust-liboverdrop-0.0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-log-0.4+std-dev,
 librust-rust-ini+default-dev (>= 0.15-~~)
Provides:
 librust-zram-generator+default-dev (= ${binary:Version}),
 librust-zram-generator-1-dev (= ${binary:Version}),
 librust-zram-generator-1+default-dev (= ${binary:Version}),
 librust-zram-generator-1.1-dev (= ${binary:Version}),
 librust-zram-generator-1.1+default-dev (= ${binary:Version}),
 librust-zram-generator-1.1.2-dev (= ${binary:Version}),
 librust-zram-generator-1.1.2+default-dev (= ${binary:Version})
Description: Systemd unit generator for zram swap devices - Rust source code
 Source code for Debianized Rust crate "zram-generator"

Package: systemd-zram-generator
Architecture: any
Multi-Arch: allowed
Section: admin
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends},
 systemd
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Systemd unit generator for zram devices
 This generator provides a simple and fast mechanism to configure swap
 on /dev/zram* devices. The main use case is create swap devices, but
 devices with a file system can be created too, see below.

=== debian/rules ===
#!/usr/bin/make -f

export SYSTEMD_UTIL_DIR := $(shell pkg-config --variable=systemdutildir systemd)
SYSTEMD_SYSTEM_GENERATOR_DIR := $(shell pkg-config --variable=systemdsystemgeneratordir systemd)

%:
	dh $@ --buildsystem cargo

override_dh_install:
	make man systemd-service
	dh_install -O--buildsystem=cargo

execute_after_dh_auto_install:
	mkdir -p debian/systemd-zram-generator/$(SYSTEMD_SYSTEM_GENERATOR_DIR)
	mv debian/systemd-zram-generator/usr/bin/zram-generator \
		debian/systemd-zram-generator/$(SYSTEMD_SYSTEM_GENERATOR_DIR)
	rm -rf debian/systemd-zram-generator/usr/bin

override_dh_dwz:
	# Don't do anything, fails because of
	# https://github.com/rust-lang/rust/issues/66118
	# (copied from other binary crates)

=== debian/tests/control ===
Test-Command: SYSTEMD_UTIL_DIR=/usr/lib/systemd /usr/share/cargo/bin/cargo-auto-test zram-generator 1.1.2 --all-targets --all-features
Features: test-name=rust-zram-generator:@
Depends: dh-cargo (>= 18), librust-ctor-0.1+default-dev, librust-fs-extra-1+default-dev (>= 1.1-~~), librust-nix+default-dev (>= 0.27-~~), librust-nix+mount-dev (>= 0.27-~~), librust-nix+sched-dev (>= 0.27-~~), librust-nix+user-dev (>= 0.27-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: SYSTEMD_UTIL_DIR=/usr/lib/systemd /usr/share/cargo/bin/cargo-auto-test zram-generator 1.1.2 --all-targets
Features: test-name=librust-zram-generator-dev:default
Depends: dh-cargo (>= 18), librust-ctor-0.1+default-dev, librust-fs-extra-1+default-dev (>= 1.1-~~), librust-nix+default-dev (>= 0.27-~~), librust-nix+mount-dev (>= 0.27-~~), librust-nix+sched-dev (>= 0.27-~~), librust-nix+user-dev (>= 0.27-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: SYSTEMD_UTIL_DIR=/usr/lib/systemd /usr/share/cargo/bin/cargo-auto-test zram-generator 1.1.2 --all-targets --no-default-features
Features: test-name=librust-zram-generator-dev:
Depends: dh-cargo (>= 18), librust-ctor-0.1+default-dev, librust-fs-extra-1+default-dev (>= 1.1-~~), librust-nix+default-dev (>= 0.27-~~), librust-nix+mount-dev (>= 0.27-~~), librust-nix+sched-dev (>= 0.27-~~), librust-nix+user-dev (>= 0.27-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-zram-generator 1.2.1

=== Makefile ===
--- 
+++ 
@@ -34,8 +34,8 @@
 systemd-service:
 	$(call require_env,SYSTEMD_SYSTEM_GENERATOR_DIR)
 	sed -e 's,@SYSTEMD_SYSTEM_GENERATOR_DIR@,$(SYSTEMD_SYSTEM_GENERATOR_DIR),' \
-		< units/systemd-zram-setup@.service.in \
-		> units/systemd-zram-setup@.service
+		<units/systemd-zram-setup@.service.in \
+		>units/systemd-zram-setup@.service
 
 man:
 	$(RONN) --organization="zram-generator developers" man/*.md

=== debian/changelog ===
rust-zram-generator (1.2.1-2) unstable; urgency=medium

  * zram-generator: conditionally remove old config file
    `/etc/systemd/zram-generator.conf` is still a valid config file that can
    be used by the user to override default settings. It is currently
    removed on each package upgrade, while this should only be the case
    when upgrading from a version prior to 1.1.2-5. (Closes: #1089203)

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 15 May 2025 18:52:16 +0200

rust-zram-generator (1.2.1-1) unstable; urgency=medium

  * Package zram-generator 1.2.1 from crates.io using debcargo 2.7.4
  * zram-generator: add postinst/rm scripts
    This ensures systemd is made aware of the new generator and can start
    it automatically upon install.
    (Closes: #1033825)

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 05 Dec 2024 12:55:37 +0100

=== debian/control ===
Source: rust-zram-generator
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 systemd-dev,
 ronn,
 pkgconf
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.12-~~),
 librust-clap-4+cargo-dev (>= 4.5-~~),
 librust-clap-4+error-context-dev (>= 4.5-~~),
 librust-clap-4+help-dev (>= 4.5-~~),
 librust-clap-4+std-dev (>= 4.5-~~),
 librust-fasteval-0.2-dev,
 librust-liboverdrop-0.1+default-dev,
 librust-log-0.4+default-dev,
 librust-log-0.4+std-dev,
 librust-rust-ini+default-dev (>= 0.15-~~)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ben Westover <me@benthetechguy.net>,
 Arnaud Ferraris <aferraris@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/zram-generator]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/zram-generator
Homepage: https://github.com/systemd/zram-generator
X-Cargo-Crate: zram-generator
Rules-Requires-Root: no

Package: librust-zram-generator-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.12-~~),
 librust-clap-4+cargo-dev (>= 4.5-~~),
 librust-clap-4+error-context-dev (>= 4.5-~~),
 librust-clap-4+help-dev (>= 4.5-~~),
 librust-clap-4+std-dev (>= 4.5-~~),
 librust-fasteval-0.2-dev,
 librust-liboverdrop-0.1+default-dev,
 librust-log-0.4+default-dev,
 librust-log-0.4+std-dev,
 librust-rust-ini+default-dev (>= 0.15-~~)
Provides:
 librust-zram-generator+default-dev (= ${binary:Version}),
 librust-zram-generator-1-dev (= ${binary:Version}),
 librust-zram-generator-1+default-dev (= ${binary:Version}),
 librust-zram-generator-1.2-dev (= ${binary:Version}),
 librust-zram-generator-1.2+default-dev (= ${binary:Version}),
 librust-zram-generator-1.2.1-dev (= ${binary:Version}),
 librust-zram-generator-1.2.1+default-dev (= ${binary:Version})
Description: Systemd unit generator for zram swap devices - Rust source code
 Source code for Debianized Rust crate "zram-generator"

Package: systemd-zram-generator
Architecture: any
Section: admin
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends},
 systemd
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Systemd unit generator for zram devices
 This generator provides a simple and fast mechanism to configure swap
 on /dev/zram* devices. The main use case is create swap devices, but
 devices with a file system can be created too, see below.

=== debian/tests/control ===
Test-Command: SYSTEMD_UTIL_DIR=/usr/lib/systemd /usr/share/cargo/bin/cargo-auto-test zram-generator 1.2.1 --all-targets --all-features
Features: test-name=rust-zram-generator:@
Depends: dh-cargo (>= 31), rustc, librust-ctor-0.1+default-dev, librust-fs-extra-1+default-dev (>= 1.3-~~), librust-nix+default-dev (>= 0.27-~~), librust-nix+mount-dev (>= 0.27-~~), librust-nix+sched-dev (>= 0.27-~~), librust-nix+user-dev (>= 0.27-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: SYSTEMD_UTIL_DIR=/usr/lib/systemd /usr/share/cargo/bin/cargo-auto-test zram-generator 1.2.1 --all-targets
Features: test-name=librust-zram-generator-dev:default
Depends: dh-cargo (>= 31), rustc, librust-ctor-0.1+default-dev, librust-fs-extra-1+default-dev (>= 1.3-~~), librust-nix+default-dev (>= 0.27-~~), librust-nix+mount-dev (>= 0.27-~~), librust-nix+sched-dev (>= 0.27-~~), librust-nix+user-dev (>= 0.27-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: SYSTEMD_UTIL_DIR=/usr/lib/systemd /usr/share/cargo/bin/cargo-auto-test zram-generator 1.2.1 --all-targets --no-default-features
Features: test-name=librust-zram-generator-dev:
Depends: dh-cargo (>= 31), rustc, librust-ctor-0.1+default-dev, librust-fs-extra-1+default-dev (>= 1.3-~~), librust-nix+default-dev (>= 0.27-~~), librust-nix+mount-dev (>= 0.27-~~), librust-nix+sched-dev (>= 0.27-~~), librust-nix+user-dev (>= 0.27-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/zram-generator-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/zram-generator .*/crates/zram-generator/@ANY_VERSION@/download
